## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate mockito

Name:           rust-mockito
Version:        1.2.0
Release:        %autorelease
Summary:        HTTP mocking for Rust

License:        MIT
URL:            https://crates.io/crates/mockito
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
HTTP mocking for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-devel %{_description}

This package contains library source intended for building other packages which
use the "color" feature of the "%{crate}" crate.

%files       -n %{name}+color-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+colored-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+colored-devel %{_description}

This package contains library source intended for building other packages which
use the "colored" feature of the "%{crate}" crate.

%files       -n %{name}+colored-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * disable colored output: mock shells do not support ANSI escape sequences
%cargo_test -n
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 18 2023 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-1
- Update to version 1.2.0; Fixes RHBZ#2238904

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 23 2023 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Update to version 1.1.0; Fixes RHBZ#2215689

* Sun Apr 02 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2; Fixes RHBZ#2181775

* Tue Mar 21 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Update to version 1.0.0; Fixes RHBZ#2058896

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.30.0-1
- Update to version 0.30.0.
- Fixes RHBZ#1920082

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.28.0-1
- Update to version 0.28.0.
- Fixes RHBZ#1894721

* Tue Sep 29 2020 Dusty Mabe <dusty@dustymabe.com> - 0.27.0-1
- Update to 0.27.0

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 24 2020 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-1
- Update to 0.26.0

* Sat Jun 06 2020 Josh Stone <jistone@redhat.com> - 0.25.2-1
- Update to 0.25.2

* Mon May 18 12:16:38 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.25.1-1
- Update to 0.25.1

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 0.23.3-1
- Update to 0.23.3

* Thu Feb 20 15:17:15 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.23.1-1
- Update to 0.23.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 19:43:38 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.22.0-1
- Update to 0.22.0

* Fri Aug 09 14:55:06 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.20.0-1
- Update to 0.20.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 21 21:05:16 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.17.1-2
- Regenerate

* Sun Apr 28 09:31:27 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.17.1-1
- Initial package

## END: Generated by rpmautospec
